API RestAuth
Dernière mise à jour le 20 juillet 2026
Login user and return JWT tokens, or initiate 2FA challenge.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/auth/login" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "password": "string" }'{ "access": "string", "access_expiration": "2019-08-24T14:15:22Z", "refresh_expiration": "2019-08-24T14:15:22Z", "user": { "pk": "string", "email": "string", "first_name": "string", "last_name": "string", "phone_number": "", "role": "string", "lang": "fr", "onboarding_completed": false, "two_factor_enabled": false, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } }}{ "challenge_id": "331c5928-fdd1-4016-9993-1395c38cce7b", "expires_at": "2019-08-24T14:15:22Z", "resend_available_at": "2019-08-24T14:15:22Z", "delivery_method": "email"}Continuer plus loin